This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1005757 - Wrong example code for subscribing to XML Exchange
Wrong example code for subscribing to XML Exchange
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity medium
: 2.5
: ---
Assigned To: Joshua Wulf
Leonid Zhaldybin
:
Depends On: 1005750
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 06:44 EDT by Petr Matousek
Modified: 2014-11-09 17:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1005750
Environment:
Last Closed: 2014-05-30 00:45:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-09-09 06:44:08 EDT
+++ This bug was initially created as a clone of Bug #1005750 +++

Description of problem:

4.10.4. Subscribe to the XML Exchange
Following two  lines shall be removed from the example code at the end of this chapter in order to show the proper xml exchange functionality. 

-  rx = ssn.receiver('myxmlq; {create: always, link: {x-bindings: [{exchange: myxml, key: weather, arguments: {xquery: "./weather"}}]}}')
-  print rxaddr

Explanation:
The properly defined example consumer using a specific xml filter (rx = ssn.receiver(rxaddr)) is overwritten with a consumer that matches all the messages whose body content has the root XML element '<weather>'. The definition is followed by an extra print that was probably used for debug purpose and was left in the code.

Version-Release number of selected component (if applicable):
Messaging Programming Reference (mrg-m-2.x) - Revision 2-34
Messaging Programming Reference (mrg-m-3.0) - Revision 0.0.0-1

How reproducible:
n/a

Steps to Reproduce:
n/a

Actual results:
Incorrect example code

Expected results:
functional example code

Additional info:
Comment 1 Petr Matousek 2013-09-09 06:46:15 EDT
Cloned for 2.3.x to highlight that this issue shall be fixed also in the MRG Messaging 2.x documentation.
Comment 3 Leonid Zhaldybin 2014-04-02 06:49:23 EDT
The example code has been fixed.

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.